Summary:	Program execution path analysis tool
Summary(pl):	Narzdzie do ledzenia wykonywania programu
Name:		fenris
Version:	0.07
Release:	1
License:	GPL
Group:		Development/Debuggers
Vendor:		Michal Zalewski <lcamtuf@bos.bindview.com>
Source0:	http://razor.bindview.com/tools/fenris/%{name}.tgz
Patch0:		http://mops.uci.agh.edu.pl/~gotar/%{name}-build_with_sh.patch
Patch1:		http://mops.uci.agh.edu.pl/~gotar/%{name}-ncurses.patch
URL:		http://razor.bindview.com/tools/fenris/
BuildRequires:	awk
BuildRequires:	binutils-static
BuildRequires:	fileutils
BuildRequires:	gdb
BuildRequires:	grep
BuildRequires:	kernel-source
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	sed
BuildRequires:	screen
BuildRequires:	sh-utils
BuildRequires:	textutils
BuildRequires:	tar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fenris is a multipurpose tracer, stateful analyzer and partial
decompiler intended to simplify bug tracking, security audits, code,
algorithm or protocol analysis - providing a structural program trace,
general information about internal constructions, execution path,
memory operations, I/O, conditional expressions and much more. Because
it does not require sources or any particular compilation method, this
project can be very helpful for black-box tests and evaluations - but
it will also be a great tool for open-source project audits, as an
unmatched real-time reconnaissance tool - especially when sources are
too complex or too badly written to be analyzed in a reliable way and
reasonable time.

%description -l pl
Fenris jest uniwersalnym tracerem, analizatorem i po czci
dekompilatorem, majcym na celu uproszczenie wyapywania bdw,
kontroli bezpieczestwa, analizy kodu, algorytmu czy protokou -
- dostarczajc strukturalnego ledzenia programu, oglnych informacji
na temat wewntrznych konstrukcji, cieek wywoania, operacji na
pamici, I/O, wyrae regularnych i wielu innych. Jako e nie wymaga
kodu rdowego czy jakiej wyrnionej metody kompilacji, projekt ten
moe by bardzo pomocny przy testach i wykonaniach 'czarnych skrzynek'
- ale bdzie rwnie dobrym narzdziem do kontroli projektw Open
Source, jako niezrwnane narzdzie rekonesanu real-time - szczeglnie
jeli rda s zbyt zoone bd zbyt le napisane, aby je rzetelnie
analizowa w rozsdnym czasie.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
./build strip

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

install fnprints.dat $RPM_BUILD_ROOT%{_sysconfdir}
install aegir $RPM_BUILD_ROOT%{_bindir}
install dress $RPM_BUILD_ROOT%{_bindir}
install fenris $RPM_BUILD_ROOT%{_bindir}
install fenris-bug $RPM_BUILD_ROOT%{_bindir}
install fprints $RPM_BUILD_ROOT%{_bindir}
install getfprints $RPM_BUILD_ROOT%{_bindir}
install nc-aegir $RPM_BUILD_ROOT%{_bindir}
install ragnarok $RPM_BUILD_ROOT%{_bindir}
install ragsplit $RPM_BUILD_ROOT%{_bindir}
install spliter.pl $RPM_BUILD_ROOT%{_bindir}
install doc/man/* $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,README,TODO,{anti-fenris,be,debug-api,other,reverse}.txt} html/{razor,samples,*html,*.jpg}
%config %verify(not md5 size mtime) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
